<?php

declare(strict_types=1);

namespace App\Enum\Organization;

use App\Enum\EnumMethodsTrait;

/**
 * Type de produit disponible pour une organisation.
 */
enum SettingsProductEnum: string
{
    use EnumMethodsTrait;

    case FREEMIUM = 'freemium';
    case ARTIST = 'artist';
    case ARTIST_PREMIUM = 'artist-premium';
    case SCHOOL = 'school';
    case SCHOOL_PREMIUM = 'school-premium';
    case MANAGER = 'manager';
    case MANAGER_PREMIUM = 'manager-premium';
    case EMPTY = '';
}
